Bug 168182

Summary: update port: net/opennx
Product: Ports & Packages Reporter: Timothy Beyer <beyert>
Component: Individual Port(s)Assignee: Michael Scheidell <scheidell>
Status: Closed FIXED    
Severity: Affects Only Me CC: beyert
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
opennx.diff none

Description Timothy Beyer 2012-05-21 02:20:01 UTC
- Update to version 0.16.0.709.

- Do not use hardcoded path for ssh-keygen executable.

- Make private key install with secure permissions.

- Slightly adjust pkg-split to use dirrmtry instead of dirrm for share/keys directory.

Fix: Apply the patch and build
How-To-Repeat: apply the patch and build
Comment 1 Michael Scheidell freebsd_committer 2012-05-23 21:03:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-05-24 16:49:47 UTC
scheidell    2012-05-24 15:49:33 UTC

  FreeBSD ports repository

  Modified files:
    net/opennx           Makefile distinfo pkg-plist 
  Log:
  - Update to version 0.16.0.709
  - Do not use hardcoded path for ssh-keygen executable
  
  PR:             ports/168182
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu> (maintainer)
  
  Revision  Changes    Path
  1.3       +4 -2      ports/net/opennx/Makefile
  1.2       +2 -2      ports/net/opennx/distinfo
  1.2       +1 -1      ports/net/opennx/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Michael Scheidell freebsd_committer 2012-05-24 16:50:06 UTC
State Changed
From-To: open->closed

Committed, Thanks. 
Tim: 
Just a thought on the NO_PACKAGE/ new key thing for your next update: 

mv (rename) $WRKSRC/share/keys/server.id_dsa.key  to server.id_dsa.key.sample 
(in makefile AND in pkg-plist.. more later) 
have the pkg-install.in program generate a new key on FIRST INSTALL ([ -f server.id_dsa.key.sample ] 
That way you can package the port. 

tricks: 

in pkg-plist, you need to duplicate some the 'non standard' makefile steps. 
You also need to use @exec commands to run ssh-keygen (look for PLIST_SUB in other makefile) 
Look for other makefiles that check for, -c (compare) sample files vs user edited files 
(like mail/p5-Mail-SpamAssassin, like security/amavisd-new) 

this way your @exec can keygen only if there is only an sample, and your @unexec can delete the sample and leave any real key  
so that reinstall doesn't clobber the new key. (if that is important) 

Test with make install/deinstall/reinstall. 
Test with make package/deinstall/ pkg_add.